#include <bits/stdc++.h>
using namespace std;

long long sum[200100];
pair <double,int> par[200100]; 

int main()
{
    int n;
    double res = 0,res2=0;
    cin >> n; 
    for(int i = 0;i<n;i++){
        cin >> par[i].second >> par[i].first;
    }
    sort(par, par+n);
    sum[n]=0;
    for(int j=n-1;j>=0;j--){
        sum[j]=sum[j+1]+par[j].second;
        res = sum[j]*(par[j].first/100.00);
        res2 = max(res,res2);
    }
    cout << setprecision(3)<<fixed<<res2;
    return 0;
}